﻿using System;
using System.ComponentModel;
using System.Data;

namespace WpfApplication1
{
    public class MainWindowViewModel:INotifyPropertyChanged
    {
        public  MainWindowViewModel()
        {
            GridItems = CreateTable(5, 15).DefaultView;
        }

        private DataView _gridItems;
        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }


        private DataTable CreateTable(int columns, int rows)
        {
            DataTable d = new DataTable();
            Random r = new Random();

            for (int i = 0; i < columns; i++)
            {
                d.Columns.Add(new DataColumn("Column " + i, typeof(string)));
            }
            for (int i = 0; i < rows; i++)
            {
                DataRow row = d.NewRow();

                for (int j = 0; j < columns; j++)
                {
                    row["Column " + j] = Guid.NewGuid().ToString().Substring(0, 4);
                }

                d.Rows.Add(row);
            }
            return d;
        }

        public DataView GridItems
        {
            get { return _gridItems; }
            set
            {
                _gridItems = value;
                NotifyPropertyChanged("GridItems");

            }
        }
    }
    
}
